/*******************************************************************************************
 * Logic Section - Code that captures and interprets user input
 *******************************************************************************************/

/////////////////////////////////////////////////////////////////////////////////////////////
// State - Named modes of the program to make code more readable
/////////////////////////////////////////////////////////////////////////////////////////////

// Names for each possible screen
int SCREEN_MENU = 0;
int SCREEN_A = 1;
int SCREEN_B = 2;
int SCREEN_C = 3;

// Overall mode of the application, start with the menu
int screenMode = SCREEN_MENU;

/////////////////////////////////////////////////////////////////////////////////////////////
// Setup - Executes only once, prepares program to run (Logic Initialization)
/////////////////////////////////////////////////////////////////////////////////////////////

void setup()
{ 
  size(320, 480);
  
  loadMenu();
  loadScreenA();
  loadScreenB();
  loadScreenC();
}

/////////////////////////////////////////////////////////////////////////////////////////////
// Draw - Executes forever, provides user feedback (Logic Repetition)
/////////////////////////////////////////////////////////////////////////////////////////////

void draw()
{
  if(screenMode == SCREEN_MENU){
    drawMenu();
  } 
  else if(screenMode == SCREEN_A){
    drawScreenA();
  } 
  else if(screenMode == SCREEN_B){
    drawScreenB();
  } 
  else if(screenMode == SCREEN_C){
    drawScreenC();
  }
}

/////////////////////////////////////////////////////////////////////////////////////////////
// USERINTERACTION - interprets user input touch/mousePressed
/////////////////////////////////////////////////////////////////////////////////////////////

void mousePressed(){
  if(screenMode == SCREEN_MENU){
    if(mouseX > 0 && mouseX < 180 && mouseY > 50 && mouseY < 85){
      screenMode = SCREEN_A;
    }
    if(mouseX > 0 && mouseX < 180 && mouseY > 85 && mouseY < 120){
      screenMode = SCREEN_B;
    }
    if(mouseX > 0 && mouseX < 180 && mouseY > 120 && mouseY < 155){
      screenMode = SCREEN_C;
    }
  }else if(screenMode == SCREEN_A){
    if(mouseX > 130 && mouseX < 180 && mouseY > 200 && mouseY < 220){
      screenMode = SCREEN_MENU;
    }
  }else if(screenMode == SCREEN_B){
    if(mouseX > 130 && mouseX < 180 && mouseY > 200 && mouseY < 220){
      screenMode = SCREEN_MENU;
    }
  }else if(screenMode == SCREEN_C){
    if(mouseX > 130 && mouseX < 180 && mouseY > 200 && mouseY < 220){
      screenMode = SCREEN_MENU;
    }
  }
}
